"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _antd = require("antd");

var _document = require("../assets/images/document.svg");

var _image = require("../assets/images/image.svg");

var _link = require("../assets/images/link.svg");

var _pdf = require("../assets/images/pdf.svg");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _video = require("../assets/images/video.svg");

var _isImage = _interopRequireDefault(require("is-image"));

var _isTextPath = _interopRequireDefault(require("is-text-path"));

var _isVideo = _interopRequireDefault(require("is-video"));

var _macro = _interopRequireDefault(require("styled-components/macro"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const StyledPopover = (0, _macro.default)(({
  className,
  ...rest
}) => _react.default.createElement(_antd.Popover, _extends({
  className: className,
  overlayClassName: className
}, rest)))`
  .ant-popover {
    &-inner {
      border: 1px solid;
    }

    &-title {
      color: inherit;
    }
  }
`;
const StyledIFrame = _macro.default.iframe`
  height: 400px;
  margin-top: -8px;
  width: 300px;
`;

const isPDF = extension => extension.toLowerCase() === '.pdf';

const Attachment = ({
  URI,
  description,
  extension: _extension,
  previewURI,
  title
}) => {
  let extension;
  if (!_extension && URI) extension = `.${URI.split('.').pop()}`;else extension = `.${_extension}`;
  let Component;
  if (!URI) Component = _document.ReactComponent;else if (isPDF(extension)) Component = _pdf.ReactComponent;else if ((0, _isTextPath.default)(extension)) Component = _document.ReactComponent;else if ((0, _isImage.default)(extension)) Component = _image.ReactComponent;else if ((0, _isVideo.default)(extension)) Component = _video.ReactComponent;else Component = _link.ReactComponent;
  Component = _react.default.createElement(Component, {
    className: "ternary-fill theme-fill"
  }); // No popover

  if (!title && !description) {
    if (URI) return _react.default.createElement("a", {
      href: URI.replace(/^\/ipfs\//, 'https://ipfs.kleros.io/ipfs/'),
      rel: "noopener noreferrer",
      target: "_blank"
    }, Component);
    return Component;
  }

  return _react.default.createElement(StyledPopover, {
    arrowPointAtCenter: true,
    className: "ternary-border-color theme-border-color ternary-color theme-color",
    content: previewURI ? _react.default.createElement(_react.default.Fragment, null, description, _react.default.createElement(_antd.Divider, {
      dashed: true
    }), _react.default.createElement(StyledIFrame, {
      frameBorder: "0",
      src: previewURI,
      title: "Attachment Preview"
    })) : description,
    title: title
  }, URI ? _react.default.createElement("a", {
    href: URI.replace(/^\/ipfs\//, 'https://ipfs.kleros.io/ipfs/'),
    rel: "noopener noreferrer",
    target: "_blank"
  }, Component) : Component);
};

Attachment.propTypes = {
  URI: _propTypes.default.string,
  description: _propTypes.default.string.isRequired,
  extension: _propTypes.default.string,
  previewURI: _propTypes.default.string,
  title: _propTypes.default.string.isRequired
};
Attachment.defaultProps = {
  URI: null,
  extension: null,
  previewURI: null
};
var _default = Attachment;
exports.default = _default;