"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _antd = require("antd");

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _evidenceCard = _interopRequireDefault(require("./evidence-card"));

var _folder = require("../assets/images/folder.svg");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const {
  Panel
} = _antd.Collapse;
const StyledHeaderCol = (0, _styledComponents.default)(_antd.Col)`
  color: #4d00b4;
  font-size: 18px;
  font-weight: 500;
  line-height: 21px;
`;
const StyledDividerCol = (0, _styledComponents.default)(_antd.Col)`
  border-right: 1px solid #4d00b4;
  height: 30px;
`;
const EventDiv = _styledComponents.default.div`
  background: #4d00b4;
  border-radius: 300px;
  color: white;
  font-size: 12px;
  font-weight: 500;
  line-height: 14px;
  margin-left: auto;
  margin-right: auto;
  padding: 8px 0;
  text-align: center;
  width: 135px;
`;
const ScrollText = _styledComponents.default.div`
  color: #009aff;
  cursor: pointer;
  font-size: 14px;
  font-weight: 500;
  line-height: 16px;
  text-align: right;
`;
const StyledEvidenceTimelineArea = _styledComponents.default.div`
  padding: 35px 10%;
`;

const EvidenceTimeline = ({
  evidence = [],
  metaEvidence = {},
  ruling = null
}) => {
  // Sort so most recent is first
  const sortedEvidence = evidence.sort((a, b) => {
    if (a.submittedAt > b.submittedAt) return -1;else if (a.submittedAt < b.submittedAt) return 1;
    return 0;
  });
  if (sortedEvidence.length === 0) return null;
  return _react.default.createElement(_antd.Collapse, {
    defaultActiveKey: ["1"],
    expandIconPosition: "right",
    title: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_folder.ReactComponent, null), " ", `Evidence (${evidence ? evidence.length : 0})`)
  }, _react.default.createElement(Panel, {
    header: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_folder.ReactComponent, null), " ", _react.default.createElement("span", null, "Evidence")),
    style: {
      background: "#4d00b4"
    },
    className: "primary",
    key: "1"
  }, _react.default.createElement(StyledEvidenceTimelineArea, null, _react.default.createElement(_antd.Row, {
    id: "scroll-top"
  }, _react.default.createElement(StyledHeaderCol, {
    lg: 4
  }, "Latest"), _react.default.createElement(_antd.Col, {
    lg: 16
  }, ruling && _react.default.createElement(EventDiv, {
    style: {
      width: "225px"
    }
  }, ruling ? `Jurors ruled: ${metaEvidence.metaEvidenceJSON.rulingOptions ? metaEvidence.metaEvidenceJSON.rulingOptions.titles[Number(ruling) - 1] : ruling}` : "Jurors refused to make a ruling")), _react.default.createElement(ScrollText, {
    lg: 4,
    onClick: () => {
      const _bottomRow = document.getElementById("scroll-bottom");

      _bottomRow.scrollIntoView();
    }
  }, "Scroll to Bottom ", _react.default.createElement(_antd.Icon, {
    type: "arrow-down"
  }))), sortedEvidence.map((_evidence, i) => _react.default.createElement("div", {
    key: `evidence-${i}`
  }, _react.default.createElement(_antd.Row, null, _react.default.createElement(StyledDividerCol, {
    lg: 12
  })), _react.default.createElement(_evidenceCard.default, {
    evidence: _evidence,
    metaEvidence: metaEvidence.metaEvidenceJSON
  }))), _react.default.createElement(_antd.Row, null, _react.default.createElement(StyledDividerCol, {
    lg: 12
  })), _react.default.createElement(_antd.Row, {
    id: "scroll-bottom"
  }, _react.default.createElement(StyledHeaderCol, {
    lg: 4
  }, "Start"), _react.default.createElement(_antd.Col, {
    lg: 16
  }, _react.default.createElement(EventDiv, null, "Dispute Created")), _react.default.createElement(ScrollText, {
    lg: 4,
    onClick: () => {
      const _bottomRow = document.getElementById("scroll-top");

      _bottomRow.scrollIntoView();
    }
  }, "Scroll to Top ", _react.default.createElement(_antd.Icon, {
    type: "arrow-up"
  }))))));
};

var _default = EvidenceTimeline;
exports.default = _default;